Bug 36033 - Cleanup secrets in appliance mode
Cleanup secrets in appliance mode
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: System setup
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Stefan Gohmann
Philipp Hahn
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-01 09:10 CEST by Stefan Gohmann
Modified: 2014-11-26 06:55 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-10-01 09:10:39 CEST
We should re-check the secrets in appliance mode. See Bug #35734, we should cleanup the host key. We should also check univention-mail-postifx for the generated key.
Comment 1 Stefan Gohmann univentionstaff 2014-10-21 21:29:35 CEST
DH parameters and SSH keys are re-created in setup-join.sh if the system is configured in appliance mode: r54733

Changelog: 54774
Comment 2 Philipp Hahn univentionstaff 2014-10-30 11:00:20 CET
OK: Changelog r54774
OK: r54733
OK: /etc/ssh/ssh_host_* re-created
OK: /etc/postfix/dh_* re-created
Comment 3 Stefan Gohmann univentionstaff 2014-11-26 06:55:11 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".